CVE-2017-6464

Impact:
Moderate
Public Date:
2017-03-21
IAVA:
2017-A-0084
CWE:
CWE-20
Bugzilla:
1433987: CVE-2017-6464 ntp: Denial of Service via Malformed Config
A vulnerability was discovered in the NTP server's parsing of configuration directives. A remote, authenticated attacker could cause ntpd to crash by sending a crafted message.

Find out more about CVE-2017-6464 from the MITRE CVE dictionary dictionary and NIST NVD.

CVSS v3 metrics

CVSS3 Base Score 5.3
CVSS3 Base Metrics CVSS:3.0/AV:N/AC:H/PR:L/UI:N/S:U/C:N/I:N/A:H
Attack Vector Network
Attack Complexity High
Privileges Required Low
User Interaction None
Scope Unchanged
Confidentiality None
Integrity Impact None
Availability Impact High

Red Hat Security Errata

Platform Errata Release Date
Red Hat Enterprise Linux 7 (ntp) RHSA-2018:0855 2018-04-10
Red Hat Enterprise Linux 6 (ntp) RHSA-2017:3071 2017-10-26

Affected Packages State

Platform Package State
Red Hat Enterprise Linux 5 ntp Will not fix

Acknowledgements

Red Hat would like to thank the NTP project for reporting this issue. Upstream acknowledges Cure53 as the original reporter.

Mitigation

Properly monitor your ntpd instances, and auto-restart ntpd (without -g) if it stops running.

Last Modified
Close

Welcome! Check out the Getting Started with Red Hat page for quick tours and guides for common tasks.